"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
function main(args, conf, ks) {
    return __awaiter(this, void 0, void 0, function* () {
        if (args.callsign) {
            printKeys(args.callsign.toUpperCase(), ks);
        }
        else {
            ks.getCallsigns().forEach((callsign) => printKeys(callsign, ks));
        }
        return 0;
    });
}
exports.main = main;
function printKeys(callsign, keystore) {
    const keys = keystore.getKeyPairs(callsign);
    keys.forEach((key) => {
        if (key.public)
            console.log(`${callsign} Public Key: ${key.public}`);
        if (key.private)
            console.log(`${callsign} Private Key: ${key.private}`);
    });
}
//# sourceMappingURL=showkey.js.map